Bug 2657 - Samba 3.0.14a/15pre2-1 failed to join in an windows 2000 ADS
Samba 3.0.14a/15pre2-1 failed to join in an windows 2000 ADS
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.20
All Windows 2000
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-26 23:10 UTC by MCSE+RCE
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments
Error log attachement (38.71 KB, text/plain)
2005-05-30 20:55 UTC, MCSE+RCE
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description MCSE+RCE 2005-04-26 23:10:50 UTC
Hi, 

We are running Fedora Core 4 Test 2 on a Pentium III box. We have discovered 
following problem with Samba 3.0.14a and 3.0.15pre2-1.

Problem. 

Both version failed to install on a fresh install Fedora Core 4 test 2 machine. 
FC4 is using the Openssl-0.9.7f packages (libssl.so.5 etc). But samba is still 
linking to the older version of openssl-0.9.7a (libssl.so.4 etc). It might 
cause the problem. Downloaded and installed openssl-0.9.7a/compat-readline43 
into the FC4 beta 2 box and fixed the problem.

Problem 2. After installed openssl-0.9.7a and samba 3.0.14a or samba 3.0.15pre2 
into the FC4 beta 2 machine. We can not join it to the Windows 2000 ADS domain. 
I have attached the error below.


*** screen dump start ****

[I have no name!@hp1005 ~]# net ads join -U Administrator%AB12cd34
Using short domain name -- LINKEDBC
Joined 'HP1005' to realm 'LINKEDBC.COM'
*** glibc detected *** net: free(): invalid pointer: 0x00db37f0 ***
======= Backtrace: =========
/lib/libc.so.6[0xa84f94]
/lib/libc.so.6(__libc_free+0x77)[0xa854cf]
/lib/libcom_err.so.2(remove_error_table+0x4b)[0x391abb]
/usr/lib/libkrb5.so.3[0xd51823]
/usr/lib/libkrb5.so.3[0xd515c7]
/usr/lib/libkrb5.so.3[0xda23ba]
/lib/ld-linux.so.2[0xa12d2b]
/lib/libc.so.6(exit+0xc5)[0xa4cd39]
/lib/libc.so.6(__libc_start_main+0xce)[0xa36dee]
net[0x806f2d1]
======= Memory map: ========
00101000-00124000 r-xp 00000000 03:03 745255     /usr/lib/libk5crypto.so.3.0
00124000-00125000 rwxp 00023000 03:03 745255     /usr/lib/libk5crypto.so.3.0
00125000-0015a000 r-xp 00000000 03:06 452241     /lib/libssl.so.0.9.7f
0015a000-0015d000 rwxp 00035000 03:06 452241     /lib/libssl.so.0.9.7f
0015d000-0015f000 r-xp 00000000 03:03 800899     /usr/lib/gconv/IBM850.so
0015f000-00161000 rwxp 00001000 03:03 800899     /usr/lib/gconv/IBM850.so
00161000-0016a000 r-xp 00000000 03:06 451177     /lib/libnss_files-2.3.4.so
0016a000-0016b000 r-xp 00008000 03:06 451177     /lib/libnss_files-2.3.4.so
0016b000-0016c000 rwxp 00009000 03:06 451177     /lib/libnss_files-2.3.4.so
0016c000-00170000 r-xp 00000000 03:06 451174     /lib/libnss_dns-2.3.4.so
00170000-00171000 r-xp 00003000 03:06 451174     /lib/libnss_dns-2.3.4.so
00171000-00172000 rwxp 00004000 03:06 451174     /lib/libnss_dns-2.3.4.so
00172000-0017b000 r-xp 00000000 03:06 451269     /lib/libgcc_s-4.0.0-
20050405.so.1
0017b000-0017c000 rwxp 00009000 03:06 451269     /lib/libgcc_s-4.0.0-
20050405.so.1
001aa000-002a1000 r-xp 00000000 03:06 452240     /lib/libcrypto.so.0.9.7f
002a1000-002b3000 rwxp 000f7000 03:06 452240     /lib/libcrypto.so.0.9.7f
002b3000-002b6000 rwxp 002b3000 00:00 0
00391000-00393000 r-xp 00000000 03:06 451224     /lib/libcom_err.so.2.1
00393000-00394000 rwxp 00001000 03:06 451224     /lib/libcom_err.so.2.1
00841000-00846000 r-xp 00000000 03:06 451314     /lib/libcrypt-2.3.4.so
00846000-00847000 r-xp 00004000 03:06 451314     /lib/libcrypt-2.3.4.so
00847000-00848000 rwxp 00005000 03:06 451314     /lib/libcrypt-2.3.4.so
00848000-0086f000 rwxp 00848000 00:00 0
00998000-0099a000 r-xp 00000000 03:03 800992     /usr/lib/gconv/UTF-16.so
0099a000-0099c000 rwxp 00001000 03:03 800992     /usr/lib/gconv/UTF-16.so
00a05000-00a1e000 r-xp 00000000 03:06 451259     /lib/ld-2.3.4.so
00a1e000-00a1f000 r-xp 00018000 03:06 451259     /lib/ld-2.3.4.so
00a1f000-00a20000 rwxp 00019000 03:06 451259     /lib/ld-2.3.4.so
00a22000-00b44000 r-xp 00000000 03:06 451260     /lib/libc-2.3.4.so
00b44000-00b46000 r-xp 00121000 03:06 451260     /lib/libc-2.3.4.so
00b46000-00b48000 rwxp 00123000 03:06 451260     /lib/libc-2.3.4.so
00b48000-00b4a000 rwxp 00b48000 00:00 0
00b4c000-00b4e000 r-xp 00000000 03:06 451244     /lib/libdl-2.3.4.so
00b4e000-00b4f000 r-xp 00001000 03:06 451244     /lib/libdl-2.3.4.so
00b4f000-00b50000 rwxp 00002000 03:06 451244     /lib/libdl-2.3.4.so
00b52000-00b66000 r-xp 00000000 03:03 739121     /usr/lib/libsasl2.so.2.0.20
00b66000-00b67000 rwxp 00013000 03:03 739121     /usr/lib/libsasl2.so.2.0.20
00b69000-00b74000 r-xp 00000000 03:03 739289     /usr/lib/liblber-2.2.so.7.0.16
00b74000-00b75000 rwxp 0000b000 03:03 739289     /usr/lib/liblber-2.2.so.7.0.16
00b77000-00b88000 r-xp 00000000 03:03 739018     /usr/lib/libz.so.1.2.2.2
00b88000-00b89000 rwxp 00010000 03:03 739018     /usr/lib/libz.so.1.2.2.2
00b9e000-00ba5000 r-xp 00000000 03:03 739064     /usr/lib/libpopt.so.0.0.0
00ba5000-00ba6000 rwxp 00006000 03:03 739064     /usr/lib/libpopt.so.0.0.0
00ba8000-00bb7000 r-xp 00000000 03:06 451191     /lib/libresolv-2.3.4.so
00bb7000-00bb8000 r-xp 0000e000 03:06 451191     /lib/libresolv-2.3.4.so
00bb8000-00bb9000 rwxp 0000f000 03:06 451191     /lib/libresolv-2.3.4.so
00bb9000-00bbb000 rwxp 00bb9000 00:00 0
00bbd000-00bed000 r-xp 00000000 03:03 739115     /usr/lib/libldap-2.2.so.7.0.16
00bed000-00bef000 rwxp 0002f000 03:03 739115     /usr/lib/libldap-2.2.so.7.0.16
00d29000-00d3f000 r-xp 00000000 03:03Aborted

*** screen dump end ****
Paul
(Both worlds can exist)
MCP/MCSA/MCSE
Comment 1 MCSE+RCE 2005-05-30 20:55:47 UTC
Created attachment 1250 [details]
Error log attachement

the SMB deamon is crashing like mad whenever a user is connect to a samba share
in a Windows 2000 ADS. Plz refer to this log.
Comment 2 Gerald (Jerry) Carter 2005-06-27 05:50:12 UTC
I think we have this fixed in the current SAMBA_3_0 svn tree (should 
be fixed in 3.0.20pre1).
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:28:09 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2006-04-08 07:43:43 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.